Page MenuHomePhabricator

Document (semi-)deprecation of OutputPage's non-RL compatible script and styles functions
Closed, ResolvedPublic

Description

We should really clarify the documentation for things like OutputPage's addScript, addExtensionStyle, addInlineScript and addScriptFile functions are highly unpreferred (if not deprecated) in favor of RL modules.

Also should make note how this is entire class is mostly for 'chrome', and that content should use there ParserOutput object for all changes.

Then again, the class docu does start with: "This class should be covered by a general architecture document which does not exist as of January 2011. " :)

Event Timeline

TheDJ created this task.Feb 19 2015, 2:03 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.
Restricted Application added a project: Documentation. · View Herald TranscriptFeb 19 2015, 2:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
brion added a subscriber: brion.Feb 19 2015, 6:23 PM
Aklapper triaged this task as Low priority.Feb 24 2015, 12:01 PM

Change 250196 had a related patch set uploaded (by TheDJ):
OutputPage: documentation for (semi-)deprecated methods

https://gerrit.wikimedia.org/r/250196

Change 250196 merged by jenkins-bot:
OutputPage: documentation for (semi-)deprecated methods

https://gerrit.wikimedia.org/r/250196

TheDJ closed this task as Resolved.Nov 3 2015, 8:49 AM
TheDJ claimed this task.
TheDJ removed a project: Patch-For-Review.
TheDJ set Security to None.